plot_realdata <- function(filename,savenme.part,plotsave=TRUE,onefile=TRUE){
  # not yet ready
  load(paste(filename,".RData",sep=""))
  tis.names <- c("tab_Ua_is","tab_Ur_is","tabrest_Ua_is","tabrest_Ur_is","tab_Ua_is_AD","tab_Ur_is_AD","tabrest_Ua_is_AD","tabrest_Ur_is_AD")
  toos.names <- c("tab_Ua_oos","tab_Ur_oos","tabrest_Ua_oos","tabrest_Ur_oos","tab_Ua_oos_AD","tab_Ur_oos_AD","tabrest_Ua_oos_AD","tabrest_Ur_oos_AD")
  
  if (plotsave & onefile) pdf(paste("plots_",filename,".pdf",sep=""),width=12,height=9)
  
  # plot usefulness
  
  for (k in 1:length(tis.names)){
    if (exists(tis.names[k])){
      if (plotsave & !onefile) pdf(paste(tis.names[k],filename,".pdf",sep=""),width=12,height=9)
      tis <- get(tis.names[k])
      toos <- get(toos.names[k])
      
      lwd <- c(2,2,3)
      col <- c(1,1,1)
      lty <- c(2,3,1)
      legend <- colnames(tis)[reportcols]
      lsort <- c(1,3,2)
      layout(matrix(c(1,2,3), ncol=1, byrow=TRUE), heights=c(4,4,1))
      par(mai=c(0.5,0.7,0.5,0.5))
      matplot(x=tis[,1],y=tis[,reportcols],type="l",main=main[1],xlab=colnames(tis)[1],ylab="Ur",lty=lty,col=col,lwd=lwd,ylim=c(-0.2,0.7),cex.main=1.7,cex.lab=1.7,cex.axis=1.5)
      abline(a=0,b=0)
      matplot(x=toos[,1],y=toos[,reportcols],type="l",main=main[2],xlab=colnames(toos)[1],ylab="Ur",lty=lty,col=col,lwd=lwd,ylim=c(-0.2,0.7),cex.main=1.7,cex.lab=1.7,cex.axis=1.5)
      abline(a=0,b=0)
      
      par(mai=rep(0,4))
      plot.new()
      legend(x="center", ncol=3,legend=legend[lsort],lty=lty[lsort],col=col[lsort],lwd=lwd[lsort],cex=1.5)
      if (plotsave & !onefile) dev.off()
    }
  }
  
  
  if (plotsave & onefile) dev.off()
}